/*!
  * @yzcode/vue-devtool-vuex-z v0.0.2
  * (c) 2021 
  * @license MIT
  */
import { setupDevtoolsPlugin } from '@vue/devtools-api';

function setupDevtools(app) {
    setupDevtoolsPlugin({
        id: '@yzcode/vue-devtool-vuex-z',
        label: 'vue-devtool-vuex',
        packageName: '@yzcode/vue-devtool-vuex-z',
        homepage: '',
        app,
    }, api => {
        api.on.visitComponentTree((payload, context) => {
            const node = payload.treeNode;
            if (payload.componentInstance.type.showTag) {
                node.tags.push({
                    label: 'showTag',
                    textColor: 0x000000,
                    backgroundColor: 0xff984f
                });
            }
        });
    });
}
var index = {
    install(app, options = {}) {
        // Our Vue plugin logic
        if (process.env.NODE_ENV === 'development' || __VUE_PROD_DEVTOOLS__) {
            setupDevtools(app);
        }
    }
};

export { index as default, setupDevtools };
