/*!
  * @yzcode/vue-devtool-vuex-z v0.0.2
  * (c) 2021 
  * @license MIT
  */
var YzcodeVueDevtoolVuexZ = (function (exports) {
    'use strict';

    function getDevtoolsGlobalHook() {
        return getTarget().__VUE_DEVTOOLS_GLOBAL_HOOK__;
    }
    function getTarget() {
        // @ts-ignore
        return typeof navigator !== 'undefined'
            ? window
            : typeof global !== 'undefined'
                ? global
                : {};
    }

    const HOOK_SETUP = 'devtools-plugin:setup';

    function setupDevtoolsPlugin(pluginDescriptor, setupFn) {
        const hook = getDevtoolsGlobalHook();
        if (hook) {
            hook.emit(HOOK_SETUP, pluginDescriptor, setupFn);
        }
        else {
            const target = getTarget();
            const list = target.__VUE_DEVTOOLS_PLUGINS__ = target.__VUE_DEVTOOLS_PLUGINS__ || [];
            list.push({
                pluginDescriptor,
                setupFn
            });
        }
    }

    function setupDevtools(app) {
        setupDevtoolsPlugin({
            id: '@yzcode/vue-devtool-vuex-z',
            label: 'vue-devtool-vuex',
            packageName: '@yzcode/vue-devtool-vuex-z',
            homepage: '',
            app,
        }, api => {
            api.on.visitComponentTree((payload, context) => {
                const node = payload.treeNode;
                if (payload.componentInstance.type.showTag) {
                    node.tags.push({
                        label: 'showTag',
                        textColor: 0x000000,
                        backgroundColor: 0xff984f
                    });
                }
            });
        });
    }
    var index = {
        install(app, options = {}) {
            // Our Vue plugin logic
            {
                setupDevtools(app);
            }
        }
    };

    exports['default'] = index;
    exports.setupDevtools = setupDevtools;

    Object.defineProperty(exports, '__esModule', { value: true });

    return exports;

}({}));
